Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkConeSource Class Reference

`#include <vtkConeSource.h>`

Inheritance diagram for vtkConeSource:

[legend]
Collaboration diagram for vtkConeSource:

[legend]
List of all members.

## Detailed Description

generate polygonal cone

Date:
  2002/09/03 12:52:22

Revision:
  1.53

vtkConeSource creates a cone centered at a specified point and pointing in a specified direction. (By default, the center is the origin and the direction is the x-axis.) Depending upon the resolution of this object, different representations are created. If resolution=0 a line is created; if resolution=1, a single triangle is created; if resolution=2, two crossed triangles are created. For resolution > 2, a 3D cone (with resolution number of sides) is created. It also is possible to control whether the bottom of the cone is capped with a (resolution-sided) polygon, and to specify the height and radius of the cone.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Law, Charles (16%)
  - Lorensen, Bill (8%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkConeSource.h)`
  - .`cxx` (`/Graphics/vtkConeSource.cxx)`

Examples:
  vtkConeSource (Examples)

Tests:
  vtkConeSource (Tests)

Definition at line 58 of file vtkConeSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetHeight (float)
virtual float | GetHeight ()
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetResolution (int)
virtual int | GetResolution ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
virtual void | SetDirection (float, float, float)
virtual void | SetDirection (float[3])
virtual float * | GetDirection ()
virtual void | GetDirection (float data[3])
void | SetAngle (float angle)
float | GetAngle ()
virtual void | SetCapping (int)
virtual int | GetCapping ()
virtual void | CappingOn ()
virtual void | CappingOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkConeSource * | SafeDownCast (vtkObject *o)
vtkConeSource * | New ()
## Protected Methods
| vtkConeSource (int res=6)
| ~vtkConeSource ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
float | Height
float | Radius
int | Resolution
int | Capping
float | Center [3]
float | Direction [3]

## Member Typedef Documentation

typedef vtkPolyDataSource vtkConeSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 61 of file vtkConeSource.h.

## Constructor & Destructor Documentation

vtkConeSource::vtkConeSource | ( | int | res = 6 | ) | `[protected]`

vtkConeSource::~vtkConeSource | ( |  | ) | `[inline, protected]`

| Definition at line 118 of file vtkConeSource.h.

## Member Function Documentation

virtual const char* vtkConeSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkConeSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkConeSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkConeSource* vtkConeSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkConeSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkConeSource* vtkConeSource::New | ( |  | ) | `[static]`

| Construct with default resolution 6, height 1.0, radius 0.5, and capping on. The cone is centered at the origin and points down the x-axis. Reimplemented from vtkObject.

virtual void vtkConeSource::SetHeight | ( | float |  | ) | `[virtual]`

| Set the height of the cone. This is the height along the cone in its specified direction.

virtual float vtkConeSource::GetHeight | ( |  | ) | `[virtual]`

| Set the height of the cone. This is the height along the cone in its specified direction.

virtual void vtkConeSource::SetRadius | ( | float |  | ) | `[virtual]`

| Set the base radius of the cone.

virtual float vtkConeSource::GetRadius | ( |  | ) | `[virtual]`

| Set the base radius of the cone.

virtual void vtkConeSource::SetResolution | ( | int |  | ) | `[virtual]`

| Set the number of facets used to represent the cone.

virtual int vtkConeSource::GetResolution | ( |  | ) | `[virtual]`

| Set the number of facets used to represent the cone.

virtual void vtkConeSource::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the center of the cone. The default is 0,0,0.

virtual void vtkConeSource::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set the center of the cone. The default is 0,0,0.

virtual float* vtkConeSource::GetCenter | ( |  | ) | `[virtual]`

| Set the center of the cone. The default is 0,0,0.

virtual void vtkConeSource::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set the center of the cone. The default is 0,0,0.

virtual void vtkConeSource::SetDirection | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the orientation vector of the cone. The vector does not have to be normalized. The cone will point in the Direction specified. The default is (1,0,0).

virtual void vtkConeSource::SetDirection | ( | float | [3] | ) | `[virtual]`

| Set the orientation vector of the cone. The vector does not have to be normalized. The cone will point in the Direction specified. The default is (1,0,0).

virtual float* vtkConeSource::GetDirection | ( |  | ) | `[virtual]`

| Set the orientation vector of the cone. The vector does not have to be normalized. The cone will point in the Direction specified. The default is (1,0,0).

virtual void vtkConeSource::GetDirection | ( | float | data[3] | ) | `[virtual]`

| Set the orientation vector of the cone. The vector does not have to be normalized. The cone will point in the Direction specified. The default is (1,0,0).

void vtkConeSource::SetAngle | ( | float | angle | ) |

| Set the angle of the cone. As a side effect, the angle plus height sets the base radius of the cone.

float vtkConeSource::GetAngle | ( |  | ) |

| Set the angle of the cone. As a side effect, the angle plus height sets the base radius of the cone.

virtual void vtkConeSource::SetCapping | ( | int |  | ) | `[virtual]`

| Turn on/off whether to cap the base of the cone with a polygon.

virtual int vtkConeSource::GetCapping | ( |  | ) | `[virtual]`

| Turn on/off whether to cap the base of the cone with a polygon.

virtual void vtkConeSource::CappingOn | ( |  | ) | `[virtual]`

| Turn on/off whether to cap the base of the cone with a polygon.

virtual void vtkConeSource::CappingOff | ( |  | ) | `[virtual]`

| Turn on/off whether to cap the base of the cone with a polygon.

void vtkConeSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkConeSource::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

float vtkConeSource::Height`[protected]`

| Definition at line 123 of file vtkConeSource.h.

float vtkConeSource::Radius`[protected]`

| Definition at line 124 of file vtkConeSource.h.

int vtkConeSource::Resolution`[protected]`

| Definition at line 125 of file vtkConeSource.h.

int vtkConeSource::Capping`[protected]`

| Definition at line 126 of file vtkConeSource.h.

float vtkConeSource::Center[3]`[protected]`

| Definition at line 127 of file vtkConeSource.h.

float vtkConeSource::Direction[3]`[protected]`

| Definition at line 128 of file vtkConeSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkConeSource.h